/*
 * Copyright (C) 2003 - 2007 NetXen, Inc.
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA  02111-1307, USA.
 * 
 * The full GNU General Public License is included in this distribution
 * in the file called LICENSE.
 * 
 * Contact Information:
 *    licensing@netxen.com
 * NetXen, Inc.
 * 3965 Freedom Circle, Fourth floor,
 * Santa Clara, CA 95054
 */
#ifndef _driver_info_h_
#define _driver_info_h_
#define DRIVER_NAME            "nx_nic"
#define TOE_DRIVER_NAME        "nx_lsa"
#define DRIVER_VERSION_STRING  "NetXen Driver version "

#include "unm_brdcfg.h"

static const unm_brdinfo_t unm_boards[] = {
                     {UNM_BRDTYPE_P2_SB31_10G_CX4,  1, "XGb CX4"},
                     {UNM_BRDTYPE_P2_SB31_10G_HMEZ, 2, "XGb HMEZ"},
                     {UNM_BRDTYPE_P2_SB31_10G_IMEZ, 2, "XGb IMEZ"},
                     {UNM_BRDTYPE_P2_SB31_10G,      1, "XGb XFP"},
                     {UNM_BRDTYPE_P2_SB35_4G,       4, "Quad Gb"},
                     {UNM_BRDTYPE_P2_SB31_2G,       2, "Dual Gb"},
                    };
#define DRIVER_AUTHOR		"Copyright (C) 2003 - 2007 NetXen, Inc."
#define DRIVER_DESCRIPTION	"NetXen Multi port (1/10) Gigabit Network Driver"
#define LSA_DRIVER_DESCRIPTION	"NetXen LSA Driver"
#define LSA_DRIVER_LICENSE	"NetXen Proprietary"

#endif
