/*
 * Copyright (C) 2003 - 2007 NetXen, Inc.
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA  02111-1307, USA.
 * 
 * The full GNU General Public License is included in this distribution
 * in the file called LICENSE.
 * 
 * Contact Information:
 *    licensing@netxen.com
 * NetXen, Inc.
 * 3965 Freedom Circle, Fourth floor,
 * Santa Clara, CA 95054
 */
/* $Id: unm_nic_config.h,v 1.9.6.2 2007/05/14 07:20:55 rahul Exp $ */
#ifndef _UNM_NIC_CONFIG_H_
#define _UNM_NIC_CONFIG_H_

/* NIC configuration */
#ifdef P2
#undef  UNM_IDS_ENABLED
#else
#define UNM_IDS_ENABLED   1
#endif

#ifdef P2
#undef  UNM_IP_DEFRAG_ENABLED
#else
#define UNM_IP_DEFRAG_ENABLED  1
#endif

#ifdef P2
#undef  UNM_IP_FILTER
#else
#define UNM_IP_FILTER     1
#endif

#define NO_EPG_PROXY      1

#define HOST_CPU_64_BIT   1


#ifdef  PEGNET_NIC

#define UNM_HOST_MSG_TRANSPORT_NIC      1
#define UNM_HOST_MSG_TRANSPORT_QM       2

#define UNM_HOST_MSG_TRANSPORT          UNM_HOST_MSG_TRANSPORT_NIC

/*
 * The host to peg message passing interface.
 */
#define UNM_H2P_TRANSPORT_NIC           1
#define UNM_H2P_TRANSPORT_QM            2

#define UNM_H2P_TRANSPORT               UNM_H2P_TRANSPORT_NIC

#endif  /* PEGNET_NIC */

/* Define to enable native jumbo frame support. */
#define NX_BIG_SRE

#endif  /* _UNM_NIC_CONFIG_H_ */

